$(window).load(function() {
  $.map($('.sparkline'), function(item) {
    var data = $.parseJSON(item.getAttribute('data-values'));
    var graph = d3.select(item).append("svg:svg");

    var xlimit = data.length - 1;
    var ylimit = Math.max.apply(Math, data);

    var x = d3.scale.linear().domain([0, xlimit]).range([0, 50]);
    var y = d3.scale.linear().domain([0, ylimit]).range([0, 10]);

    var line = d3.svg.line().x(function(d,i) { 
      return x(i); 
    }).y(function(d) { 
      return y(d); 
    });
    graph.append("svg:path").attr("d", line(data));
  });
});	
