# Copyright 2014 Canonical Ltd.  This software is licensed under the GNU
# Affero General Public License version 3 (see the file LICENSE.txt).

from charmworld.forms.featured import (
    get_schema,
)
from charmworld.search import (
    BUNDLE,
    CHARM,
)

from unittest import TestCase


class TestGetSchema(TestCase):

    def test_CharmFeaturedness(self):
        schema = get_schema(CHARM)
        self.assertIn(
            'Feature this charm', schema.children[0].title)

    def test_BundleFeaturedness(self):
        schema = get_schema(BUNDLE)
        self.assertIn(
            'Feature this bundle', schema.children[0].title)
